# ECI

The Electronic Commerce Indicator (ECI) is a code by the Directory Server (such as Visa, MasterCard, JCB, and American Express) as output against a 3DS transaction.

**ECI codes sent from VISA, American Express, and JCB**

<table><thead><tr><th width="112">ECI Code</th><th>Description</th></tr></thead><tbody><tr><td>ECI 05</td><td>Successful 3DS transaction - the card has a 3DS system and successfully fills in the appropriate OTP</td></tr><tr><td>ECI 06</td><td>The 3DS system has been attempted but not done; Usually occurs because the card does not have a 3DS system</td></tr><tr><td>ECI 07</td><td>3DS system was not successful; Usually occurs because the card does not have a 3DS system, there are technical / connection problems, or configuration / configuration errors.</td></tr></tbody></table>

&#x20;**ECI code sent from MasterCard**

<table><thead><tr><th width="113">ECI Code</th><th>Description</th></tr></thead><tbody><tr><td>ECI 02</td><td>Successful 3DS transaction - the card has a 3DS system and successfully fills in the appropriate OTP</td></tr><tr><td>ECI 01</td><td>The 3DS system has been attempted but not done; Usually occurs because the card does not have a 3DS system</td></tr><tr><td>ECI 00</td><td>3DS system was not successful; Usually occurs because the card does not have a 3DS system, there are technical / connection problems, or configuration / configuration errors</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.faspay.co.id/merchant-integration/api-reference-1/credit-card-transaction/reference/eci.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
